<?php
/* PHP interface description for PLOP
 * Copyright (c) PDFlib GmbH 2009-2017
 *
 * Note that this is only a syntax summary.
 * For complete information please refer to the API reference
 * which is available in the distribution.
 */

class PLOPException {
/**
 * Get the number of the last thrown exception or the reason for a failed function call.
 */
function get_errnum() {}

/**
 * Get the text of the last thrown exception or the reason for a failed function call.
 */
function get_errmsg() {}

/**
 * Get the name of the API function which threw the last exception or failed.
 */
function get_apiname() {}
};


class PLOP {


/**
 * Add recipient for encryption with certificate security.
 *
 * @param string $optlist
 * @return  -1 (in PHP: 0) on error, and 1 otherwise.
 */
function add_recipient($optlist) {}


/**
 * Close the input and output documents.
 *
 * @param int $doc
 * @param string $optlist
 */
function close_document($doc, $optlist) {}


/**
 * Convert an arbitrary encoded string to a Unicode string in several formats.
 *
 * @param string $inputformat
 * @param string $inputstring
 * @param string $optlist
 * @return  The converted Unicode string.
 */
function convert_to_unicode($inputformat, $inputstring, $optlist) {}


/**
 * Create a PDF output document (which may be protected) in memory or on disk file.
 *
 * @param string $filename
 * @param string $optlist
 * @return  -1 (in PHP: 0) on error, and a document handle otherwise.
 */
function create_document($filename, $optlist) {}


/**
 * Create a named virtual read-only file from data provided in memory.
 *
 * @param string $filename
 * @param string $data
 * @param string $optlist
 */
function create_pvf($filename, $data, $optlist) {}


/**
 * Delete a named virtual file and free its data structures (but not the contents).
 *
 * @param string $filename
 * @return  -1 if the virtual file exists but is locked, and 1 otherwise.
 */
function delete_pvf($filename) {}


/**
 * Get the name of the API function which threw the last exception or failed.
 *
 * @return  The name of a PLOP API function.
 */
function get_apiname() {}


/**
 * Fetch full or partial buffer contents of the output document from memory.
 *
 * @return  A buffer containing output data.
 */
function get_buffer() {}


/**
 * Get the descriptive text of the last thrown exception, or the reason of a failed function call.
 *
 * @return  A string describing the error, or an empty string if the last API call didn<92>t cause any error.
 */
function get_errmsg() {}


/**
 * Get the number of the last thrown exception, or the reason of a failed function call.
 *
 * @return  The exception<92>s error number.
 */
function get_errnum() {}


/**
 * Query properties of a virtual file or the PDFlib Virtual File system (PVF).
 *
 * @param string $filename
 * @param string $keyword
 * @return  The value of some file parameter as requested by keyword.
 */
function info_pvf($filename, $keyword) {}


/**
 * Open a PDF document (which may be protected) for processing.
 *
 * @param string $filename
 * @param string $optlist
 * @return  -1 (in PHP: 0) on error, and a document handle otherwise.
 */
function open_document($filename, $optlist) {}


/**
 * Get the value of a pCOS path with type number or boolean.
 *
 * @param int $doc
 * @param string $path
 * @return  The numerical value of the object identified by the pCOS path.
 */
function pcos_get_number($doc, $path) {}


/**
 * Get the value of a pCOS path with type name, number, string, or boolean.
 *
 * @param int $doc
 * @param string $optlist
 * @param string $path
 * @return  The unencrypted data contained in the stream or string.
 */
function pcos_get_stream($doc, $optlist, $path) {}


/**
 * Get the value of a pCOS path with type name, string, or boolean.
 *
 * @param int $doc
 * @param string $path
 * @return  A string with the value of the object identified by the pCOS path.
 */
function pcos_get_string($doc, $path) {}


/**
 * Prepare signature options.
 *
 * @param string $optlist
 * @return  -1 (in PHP: 0) on error, and 1 otherwise.
 */
function prepare_signature($optlist) {}


/**
 * Set one or more global options for PLOP.
 *
 * @param string $optlist
 */
function set_option($optlist) {}

};
?>
